Sync with Waxpeer session to auto-fill API key

Fetch all listings by names

POST/v1/mass-info

Fetch all listings by names. The maximum names per request is 50

For csgo dopplers items 'phase' parameter available in response. Possible values: 'Emerald', 'Ruby', 'Sapphire', 'Black Pearl', 'Phase 1', 'Phase 2', 'Phase 3', 'Phase 4'

Rate limit shared with search by name endpoints and currently is 20 per minute for regular users (Disabled for partners)

Maximum number of listings per name 50 (in ascending order of price)

Prices are integers. 1000 = $1.00 USD.

Parameters

NameLocationTypeDescription
api
required
querystring
game
optional
queryenum

Which game would you like to fetch items from

enum: csgo, tf2, rust, dota2

Request body

NameLocationTypeDescription
name
optional
bodyarray<string>

Array of items names (max 50)

sell
optional
bodynumber

Select listings (Set 1 to get listings)

Example
{
  "name": [
    "AK-47 | Redline (Field-Tested)"
  ],
  "sell": 1
}

Responses

200 successful operation

Response
{
  "success": true,
  "data": {
    "AK-47 | Redline (Field-Tested)": {
      "listings": [
        {
          "price": 12100,
          "by": "1247ffd5-f437-4a30-9953-10eda7df6e17",
          "item_id": 27165625733,
          "name": "AK-47 | Redline (Field-Tested)",
          "steam_price": 14100,
          "classid": "3669724953",
          "image": "https://steamcommunity-a.akamaihd.net/economy/image/class/730/3669724953",
          "paint_index": 123
        }
      ],
      "orders": [
        {}
      ],
      "history": [
        {}
      ],
      "info": {}
    },
    "★ Butterfly Knife | Gamma Doppler (Factory New)": {
      "listings": [
        {
          "price": 2050000,
          "by": "1247ffd5-f437-4a30-9953-10eda7df6e17",
          "item_id": 27165625734,
          "name": "★ Butterfly Knife | Gamma Doppler (Factory New)",
          "paint_index": 572,
          "steam_price": 1709860,
          "classid": "5035516602",
          "image": "https://steamcommunity-a.akamaihd.net/economy/image/class/730/5035516602",
          "phase": "Phase 4"
        }
      ],
      "orders": [
        {}
      ],
      "history": [
        {}
      ],
      "info": {}
    }
  }
}

429 Too many queries. The limit for search endpoints actions to regular users is 20 requests per 60 seconds

Response
{
  "success": false,
  "msg": "string",
  "msBeforeNext": 0
}